Flecs: flecs::app_builder Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
flecs::app_builder Struct Reference
C++ API » Addons » App

App builder interface. More...

`#include <builder.hpp>`

## Public Member Functions
| app_builder (flecs::world_t *world)
app_builder & | target_fps (ecs_ftime_t value)
app_builder & | delta_time (ecs_ftime_t value)
app_builder & | threads (int32_t value)
app_builder & | frames (int32_t value)
app_builder & | enable_rest (uint16_t port=0)
app_builder & | enable_stats (bool value=true)
app_builder & | init (ecs_app_init_action_t value)
app_builder & | ctx (void *value)
int | run ()

## Detailed Description

App builder interface.

Definition at line 19 of file builder.hpp.

## Constructor & Destructor Documentation

## ◆ app_builder()

flecs::app_builder::app_builder | ( | flecs::world_t * | world | ) |
| inline

Definition at line 20 of file builder.hpp.

## Member Function Documentation

## ◆ ctx()

app_builder & flecs::app_builder::ctx | ( | void * | value | ) |
| inline

Definition at line 68 of file builder.hpp.

## ◆ delta_time()

app_builder & flecs::app_builder::delta_time | ( | ecs_ftime_t | value | ) |
| inline

Definition at line 37 of file builder.hpp.

## ◆ enable_rest()

app_builder & flecs::app_builder::enable_rest | ( | uint16_t | port = 0 | ) |
| inline

Definition at line 52 of file builder.hpp.

## ◆ enable_stats()

app_builder & flecs::app_builder::enable_stats | ( | bool | value = true | ) |
| inline

Definition at line 58 of file builder.hpp.

## ◆ frames()

app_builder & flecs::app_builder::frames | ( | int32_t | value | ) |
| inline

Definition at line 47 of file builder.hpp.

## ◆ init()

app_builder & flecs::app_builder::init | ( | ecs_app_init_action_t | value | ) |
| inline

Definition at line 63 of file builder.hpp.

## ◆ run()

int flecs::app_builder::run | ( |  | ) |
| inline

Definition at line 73 of file builder.hpp.

## ◆ target_fps()

app_builder & flecs::app_builder::target_fps | ( | ecs_ftime_t | value | ) |
| inline

Definition at line 32 of file builder.hpp.

## ◆ threads()

app_builder & flecs::app_builder::threads | ( | int32_t | value | ) |
| inline

Definition at line 42 of file builder.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/mixins/app/builder.hpp